# Connect4

By Ulysse DURAND

## Cahier des charges

- Utiliser l'élement canvas
- Doit être multijoueur (>= 2 joueurs)
- Utiliser socket.io pour une connexion permanente au serveur
- Faire un hall of fame
- Ajouter un chat qui utilise aussi socket.io

## Design

- Un nombre fini de salles de jeu (playroom) : 10

### Page principale

url : root

- Une liste de salles (playroom) avec le nombre de joueurs à l'intérieur
- Un hall of fame affichant ceux qui ont le plus souvent gagné
- Un champ pour rentrer son pseudo

Pour rejoindre une playroom il faut un pseudo, sinon redirection vers root/ avec message d'erreur.
Si la game est pleine, pareil, redirection vers root/ avec message d'erreur.

### Salle
url : root/roomX (room0 - room9)

- Un canvas avec une grille de jeu
- Un chat avec l'autre joueur
- Un bouton "Import a game" -> Demande de choisir un fichier à importer, si valide, demande à l'autre joueur si il veut bien accepter son fichier
- Un bouton "Export the game" -> Redirige vers root/roomX/download qui fait telecharger


# TODO
